pkgname=refresh-mirrors
pkgver=1.1
pkgrel=1
pkgdesc='A wrapper for rate-mirrors'
arch=(any)
url='https://gitlab.com/LunaOS/pkgbuilds/lunaos-extra-pkgbuilds/refresh-mirrors'
license=(GPL2)
backup=('etc/default/mirrors')
depends=(rate-mirrors
         grep)
source=(git+https://gitlab.com/LunaOS/pkgbuilds/lunaos-extra-pkgbuilds/refresh-mirrors)
sha256sums=('SKIP')
package()
{
    install -D -m755 "${srcdir}/${pkgname}/refresh-mirrors.sh" "${pkgdir}/usr/bin/refresh-mirrors"
    install -D -m644 "${srcdir}/${pkgname}/mirrors" "${pkgdir}/etc/default/mirrors"
    install -D -m644 "${srcdir}/${pkgname}/refresh-mirrors.service" "${pkgdir}/usr/lib/systemd/system/refresh-mirrors.service"
    install -D -m644 "${srcdir}/${pkgname}/refresh-mirrors.timer" "${pkgdir}/usr/lib/systemd/system/refresh-mirrors.timer"
}
